Bug 1977693 - It is not easy to increase the log level of the Pulp 3 backend
Summary: It is not easy to increase the log level of the Pulp 3 backend
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.10.0
Assignee: Eric Helms
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On:
Blocks: 1957813
TreeView+ depends on / blocked
 
Reported: 2021-06-30 09:52 UTC by Matthias Dellweg
Modified: 2022-07-19 16:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1985322 (view as bug list)
Environment:
Last Closed: 2021-11-16 14:12:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32968 0 Normal New b'It is not easy to increase the log level of the Pulp 3 backend' 2021-07-08 20:21:21 UTC
Github theforeman hammer-cli-foreman-admin pull 12 0 None open Refs #32968 - Add management of Pulpcore log level 2021-07-09 19:34:33 UTC
Github theforeman puppet-pulpcore pull 212 0 None open Fixes #32968: Add ability to modify log level 2021-07-09 19:34:33 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:12:23 UTC

Description Matthias Dellweg 2021-06-30 09:52:49 UTC
Description of problem:
To debug issues with Pulp 3, it is important to set the log level to DEBUG.
This can be achieved by putting
"LOGGING = {"dynaconf_merge": True, "loggers": {'': {'handlers': ['console'], 'level': 'DEBUG'}}}" in "/etc/pulp/settings.py".

It would be much easier if that line was already there with the default log-level.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Eric Helms 2021-07-08 20:21:20 UTC
Created redmine issue https://projects.theforeman.org/issues/32968 from this bug

Comment 2 Bryan Kearney 2021-07-09 00:05:11 UTC
Upstream bug assigned to ehelms

Comment 3 Bryan Kearney 2021-07-09 00:05:13 UTC
Upstream bug assigned to ehelms

Comment 5 wclark 2021-07-09 19:41:36 UTC
Also related,

removal of pulp2 service definitions in hammer admin: https://bugzilla.redhat.com/show_bug.cgi?id=1976885

moving feature 'enable debug logging' from hammer admin to foreman maintain: https://bugzilla.redhat.com/show_bug.cgi?id=1980904

Comment 7 Bryan Kearney 2021-07-12 20:05:24 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/32968 has been resolved.

Comment 9 Bryan Kearney 2021-07-15 16:05:30 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/32968 has been resolved.

Comment 10 Devendra Singh 2021-09-30 06:04:07 UTC
Verified on 6.10.0 Snap20

Verification points:

1- Check the hammer logging command and found the pulp3 entry there
# hammer admin logging --list

-----------|------------------------------------------|--------------------------------------------------
COMPONENT  | AUTO-DETECTED BY EXISTENCE OF            | DESTINATIONS                                     
-----------|------------------------------------------|--------------------------------------------------
.............................       
pulpcore   | /etc/pulp/settings.py                    | syslog                 
...............................

2- Check the verbosity of logging in the /etc/pulp/settings.py  and log_level was INFO

LOGGING = {
    "dynaconf_merge": True,
    "loggers": {
        '': {
            'handlers': ['console'],
            'level': 'INFO',
        }
    }
}


3- Increase the pulp3 log level

# hammer admin logging -c pulpcore -d
# foreman-maintain service restart

4- Check the verbosity of logging in the /etc/pulp/settings.py  and log_level was DEBUG

LOGGING = {
    "dynaconf_merge": True,
    "loggers": {
        '': {
            'handlers': ['console'],
            'level': 'DEBUG',
        }
    }
}

5- Reduce the pulp3 log level and it has changed to info

#hammer admin logging -c pulpcore --level-production

LOGGING = {
    "dynaconf_merge": True,
    "loggers": {
        '': {
            'handlers': ['console'],
            'level': 'INFO',
        }
    }
}

6- Verified fixed in version.

# rpm -qa|grep -e tfm-rubygem-hammer_cli_foreman_admin -e foreman-installer
foreman-installer-2.5.2.5-1.el7sat.noarch
foreman-installer-katello-2.5.2.5-1.el7sat.noarch
tfm-rubygem-hammer_cli_foreman_admin-1.1.0-1.el7sat.noarch

Comment 13 errata-xmlrpc 2021-11-16 14:12:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.